Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160650 - latest selinux rpm update contains absurd find command
Summary: latest selinux rpm update contains absurd find command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 12:15 UTC by Tom Horsley
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.23.11-3.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 08:40:11 UTC


Attachments (Terms of Use)

Description Tom Horsley 2005-06-16 12:15:09 UTC
Description of problem: One of the rpms I just installed via up2date
(either selinux-policy-targeted-1.17.30-3.2 or
selinux-policy-targeted-sources-1.17.30-3.2) apparently runs a find /users
command for some reason, with NO -prune to chop off at network filesystems.
On my system /users happens to have mountpoints for about a bazillion NFS
mounts, so the find would take about 13 years to complete. Finally got
the up2date to finish by doing a kill -9 of the silly find command.

Rpms shouldn't be built with arbitrary find that could run away like
this. Be more careful. Teach people how to use -prune correctly (which
I admit is a challenge - the most obvious way to use it will search the
entire filesystem, then do the prune :-).

Comment 1 Daniel Walsh 2005-08-25 15:40:52 UTC
Fixed in  policycoreutils-1.23.11-3.2



Note You need to log in before you can comment on or make changes to this bug.